Uploaded image for project: 'Debezium'
  1. Debezium
  2. DBZ-2542

Postgres Docker Compose Tutorial DOA

    Details

    • Steps to Reproduce:
      1. clone github tutorials
      2. docker-compose -f docker-compose-postgres.yaml up

      Description

      $ docker-compose -f docker-compose-postgres.yaml up
      Creating tutorial_zookeeper_1 ...
      Creating tutorial_postgres_1 ...
      Creating tutorial_zookeeper_1 ... done
      ERROR: for tutorial_postgres_1 a bytes-like object is required, not 'str'
      Creating tutorial_kafka_1 ... done

      ERROR: for postgres a bytes-like object is required, not 'str'
      Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/docker/api/client.py", line 261, in _raise_for_status
      response.raise_for_status()
      File "/usr/lib/python3/dist-packages/requests/models.py", line 940, in raise_for_status
      raise HTTPError(http_error_msg, response=self)
      requests.exceptions.HTTPError: 500 Server Error: Internal Server Error for url: http+docker://localhost/v1.22/containers/c04001c0dfb21f2caaca534a8df0abf873f8b60a6d641335cd35bd312b7ea89d/start

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/compose/service.py", line 625, in start_container
      container.start()
      File "/usr/lib/python3/dist-packages/compose/container.py", line 241, in start
      return self.client.start(self.id, **options)
      File "/usr/lib/python3/dist-packages/docker/utils/decorators.py", line 19, in wrapped
      return f(self, resource_id, *args, **kwargs)
      File "/usr/lib/python3/dist-packages/docker/api/container.py", line 1095, in start
      self._raise_for_status(res)
      File "/usr/lib/python3/dist-packages/docker/api/client.py", line 263, in _raise_for_status
      raise create_api_error_from_http_exception(e)
      File "/usr/lib/python3/dist-packages/docker/errors.py", line 31, in create_api_error_from_http_exception
      raise cls(e, response=response, explanation=explanation)
      docker.errors.APIError: 500 Server Error: Internal Server Error ("b'driver failed programming external connectivity on endpoint tutorial_postgres_1 (98b476f10109e2f80ade021a4f69c19e072c2fa20b5ab4db014572318c0112ac): Error starting userland proxy: listen tcp 0.0.0.0:5432: bind: address already in use'")

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
      File "/usr/bin/docker-compose", line 11, in <module>
      load_entry_point('docker-compose==1.25.0', 'console_scripts', 'docker-compose')()
      File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 72, in main
      command()
      File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 128, in perform_command
      handler(command, command_options)
      File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 1107, in up
      to_attach = up(False)
      File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 1088, in up
      return self.project.up(
      File "/usr/lib/python3/dist-packages/compose/project.py", line 565, in up
      results, errors = parallel.parallel_execute(
      File "/usr/lib/python3/dist-packages/compose/parallel.py", line 112, in parallel_execute
      raise error_to_reraise
      File "/usr/lib/python3/dist-packages/compose/parallel.py", line 210, in producer
      result = func(obj)
      File "/usr/lib/python3/dist-packages/compose/project.py", line 548, in do
      return service.execute_convergence_plan(
      File "/usr/lib/python3/dist-packages/compose/service.py", line 545, in execute_convergence_plan
      return self._execute_convergence_create(
      File "/usr/lib/python3/dist-packages/compose/service.py", line 460, in _execute_convergence_create
      containers, errors = parallel_execute(
      File "/usr/lib/python3/dist-packages/compose/parallel.py", line 112, in parallel_execute
      raise error_to_reraise
      File "/usr/lib/python3/dist-packages/compose/parallel.py", line 210, in producer
      result = func(obj)
      File "/usr/lib/python3/dist-packages/compose/service.py", line 465, in <lambda>
      lambda service_name: create_and_start(self, service_name.number),
      File "/usr/lib/python3/dist-packages/compose/service.py", line 457, in create_and_start
      self.start_container(container)
      File "/usr/lib/python3/dist-packages/compose/service.py", line 627, in start_container
      if "driver failed programming external connectivity" in ex.explanation:
      TypeError: a bytes-like object is required, not 'str'

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                cnemelka Cory Nemelka
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: